Package org.springframework.beans.propertyeditors

# Class ClassEditor

java.lang.Object
java.beans.PropertyEditorSupport
org.springframework.beans.propertyeditors.ClassEditor

All Implemented Interfaces:
  `PropertyEditor`

public class ClassEditor extends PropertyEditorSupport
Property editor for `java.lang.Class`, to enable the direct population of a `Class` property without recourse to having to use a String class name property as bridge.

Also supports "java.lang.String[]"-style array class names, in contrast to the standard `Class.forName(String)` method.

Since:
  13.05.2003
Author:
  Juergen Hoeller, Rick Evans
See Also:
  - `Class.forName(java.lang.String)`
  - `ClassUtils.forName(String, ClassLoader)`

## Constructor Summary

Constructors
Constructor
Description
`ClassEditor()`
Create a default ClassEditor, using the thread context ClassLoader.
`ClassEditor(ClassLoader classLoader)`
Create a default ClassEditor, using the given ClassLoader.

## Method Summary

Modifier and Type
Method
Description
`String`
`getAsText()`
`void`
`setAsText(String text)`

### Methods inherited from class java.beans.PropertyEditorSupport

`addPropertyChangeListener, firePropertyChange, getCustomEditor, getJavaInitializationString, getSource, getTags, getValue, isPaintable, paintValue, removePropertyChangeListener, setSource, setValue, supportsCustomEditor`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ClassEditor

public ClassEditor()
Create a default ClassEditor, using the thread context ClassLoader.

### ClassEditor

public ClassEditor(@Nullable ClassLoader classLoader)
Create a default ClassEditor, using the given ClassLoader.

Parameters:
  `classLoader` - the ClassLoader to use (or `null` for the thread context ClassLoader)

## Method Details

### setAsText

public void setAsText(String text) throws IllegalArgumentException

Specified by:
  `setAsText` in interface `PropertyEditor`
Overrides:
  `setAsText` in class `PropertyEditorSupport`
Throws:
  `IllegalArgumentException`

### getAsText

public String getAsText()

Specified by:
  `getAsText` in interface `PropertyEditor`
Overrides:
  `getAsText` in class `PropertyEditorSupport`